/**
 * Catches a sync error and returns the error. Throws if not caught.
 *
 * @param fn The function that should invoke the error.
 * @param msg Optional message.
 */
export declare function throws<T = Error>(fn: Function, msg?: string): T;
/**
 * Catches an async error. Throws if promise is not rejected.
 * @param fn Can be a promise or a function returning a promise
 * @param msg Optional message.
 */
export declare function throws<T = Error>(fn: Promise<any> | (() => Promise<any>), msg?: string): Promise<T>;
